Bug 476306 - autofs not started at boot
autofs not started at boot
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: autofs (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Ian Kent
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-12 18:12 EST by Jon Kent
Modified: 2009-12-18 02:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:16:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jon Kent 2008-12-12 18:12:19 EST
Description of problem: autofs not started at boot when installed


Version-Release number of selected component (if applicable):


How reproducible: Very


Steps to Reproduce:
1. yum install autofs
2. chkconfig --list |grep autofs
3. note autofs not enabled
  

Expected results:

autofs should be enabled, or prompted that it is not with %post macro of spec
Comment 1 Jeff Moyer 2008-12-15 09:33:49 EST
Ian, correct me if I'm wrong, but I think it's that way because autofs used to get installed by default, and folks didn't want yet another thing starting that they didn't use.  Is that right?  Does autofs no longer get installed by default?
Comment 2 Ian Kent 2008-12-15 10:37:09 EST
It's marked as optional in the comps so I guess the answer is
yes.

But I think that's not the question.
The question here is does a "chkconfig --add autofs" enable
autofs to start in the run levels specified in the "chkconfig:"
line in the init script, which I believe it should. As the
add is done in the %post script at install.

Ian
Comment 3 Jon Kent 2008-12-15 11:07:42 EST
Hi,

To clarify.

autofs does get started, however, as there is no network available NFS does not work.

This just seemed odd to me and follows the same theme as bug 476382 (ypbind).

If it is now the default for F10 to not start networking at boot (which would seem odd, as it default to init 5), then when you install autofs it would seem to make sense to verify the status of the 'network' service to see if it is 'on'.  If not then it could either:

a) inform you of this
b) chkconfig network on
Comment 4 Ian Kent 2008-12-15 11:36:52 EST
(In reply to comment #3)
> Hi,
> 
> To clarify.
> 
> autofs does get started, however, as there is no network available NFS does not
> work.

Your assuming that autofs starts in run level 2 (where
networking is not started) by default which is not the
case.
Comment 5 Jon Kent 2008-12-16 05:10:24 EST
Hi,

I am aware of this, but F10 was at init 5 and init 5 is documented in inittab as 'full multiuser with network and X'.

In anycase, I put Fedora to init 3, just in case, and there was still no networking, therefore no NFS.

It just seems a little disjointed.
Comment 6 Bug Zapper 2009-11-18 05:27:27 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-12-18 02:16:28 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.